<app-header></app-header>
<div class="container">
    <div class="row">
        <h2 class="question col-sm-9 text-white">Register Your Self</h2>
        <div class="control-label col-sm-3 pd-t-10">
            <h5 class="mg-l-60 text-white" for="email">Already register? Go to <a routerLink="../login" class="text-blue  ">SignIn</a></h5>
        </div>
    </div>
    <form class="form-horizontal " [formGroup]="registrationForm">
        
        <div class="form-group">
          <label class="control-label col-sm-2 text-white" for="firstName">Name: </label>
          <div class="col-sm-10">
            <input type="text" formControlName="firstName" class="form-control" id="firstName" placeholder="Enter Name" name="firstName">
          </div>
        </div>
      <div class="form-group">
        <label class="control-label col-sm-2 text-white" for="familyName">Surname:</label>
        <div class="col-sm-10">
          <input type="text" formControlName="familyName" class="form-control" id="familyName" placeholder="Enter Surname" name="familyName">
        </div>
      </div>

      <div class="form-group">
        <label class="control-label col-sm-2 text-white" for="email">Email: </label>
        <div class="col-sm-10">
          <input type="email" formControlName="email" class="form-control" id="email" placeholder="Enter Email" name="email">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2 text-white" for="contactNo">Contact No: </label>
        <div class="col-sm-10">
          <input type="number" formControlName="contactNo" class="form-control" id="contactNo" placeholder="Enter Contact No" name="contactNo">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2 text-white" for="userType">User Type: </label>
        <div class="col-sm-10">
          <select name="userType" placeholder="Select User Type" class="form-control" id="userType" formControlName="userType">
            <option value="user">User</option>
            <option value="admin">Admin</option>
          </select>
        </div>
      </div>
    <div class="form-group">
      <label class="control-label col-sm-2 text-white" for="password">Password:</label>
      <div class="col-sm-10">
        <input type="password" formControlName="password" class="form-control" id="password" placeholder="Enter Password" name="password">
      </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-2 text-white" for="confirmPassword">Confirm Password:</label>
        <div class="col-sm-10">
          <input type="password" formControlName="confirmPassword" class="form-control" id="confirmPassword" placeholder="Confirm Password" name="confirmPassword">
        </div>
      </div>
      <div class="form-group">        
        <div class="col-sm-offset-10 col-sm-1 submit">
          <button  type="submit" [disabled]="!registrationForm.valid" (click)="goToRegister()" class="btn btn-default">Submit</button>
        </div>
        <div class="col-sm-1 submit">
            <button type="submit" routerLink="../home" class="btn btn-default">Home</button>
        </div>
      </div>
    </form>
    
  </div>
  